PhysX 9.12.1031

Discussions about the OpenUru.org Minkata test shard
User avatar
Carla M
Member
Posts: 3
Joined: Fri Mar 23, 2012 1:10 am

PhysX 9.12.1031

Post by Carla M » Sat Dec 29, 2012 2:20 pm

I've run into a problem that seems to simply be an issue in upgrading PhysX from version 9.12.0604 to 9.12.1031 (as a result of latest Nvidia drivers update). If it is, I'm surprised that I haven't seen it so much as being mentioned anywhere else: no other MOULa-related forum, no bug reports. That I've found, at any rate. So I find myself doubting that the problem is what it seems to be and I wonder whether anyone else can even duplicate this.

Long story short, I have a new, custom-built computer. So, very fresh OS and graphics driver installs. No observable problems with anything at all. I installed MOULa and a couple of different shards including Minkata. Everything ran fine. Then a few days ago I updated the Nvidia drivers, including PhysX. Everything but MOULa/shards work. When trying to launch any variety of MOULa, the result is a message reading "PhysX is not installed, or an older version is installed. Install new version? (Game will exit if you click "No")". The only way past this is to let it install the very old PhysX driver. That's pretty much unacceptable, but after that I can reinstall PhysX 9.12.0604. With PhysX 9.12.1031 it just won't work, no matter what other than downgrading that I try.

So it looks as if MOULa can recognize 9.12.0604 but not 9.12.1031. I find it a little hard to believe that I'm the only one trying to run MOULa that has upgraded to that version, so I have to wonder what I'm missing. I don't want to file a bug report if it is simply something on my end that I just haven't found yet, but I'm out of ideas.

User avatar
Mystler
Member
Posts: 27
Joined: Sat Apr 09, 2011 9:22 pm
Contact:

Re: PhysX 9.12.1031

Post by Mystler » Sat Dec 29, 2012 3:36 pm

From the NVidia PhysX driver page:
Note: For games that use SDK versions before 2.7.1 the PhysX Legacy Installer must also be installed. These are games that were released around the end of 2007 or earlier. (AGEIA titles) The PhysX Legacy Installer is available here.
Did you try that?

User avatar
rarified
Member
Posts: 786
Joined: Tue Dec 16, 2008 10:48 pm
Location: Colorado, US

Re: PhysX 9.12.1031

Post by rarified » Sun Dec 30, 2012 2:19 am

Actually, the MOULa windows clients (at least Minkata and Cyan's) require use of a very old version of PhysX, 2.6.0.

The updater for either of those shards should download an installer for that version of PhysX from the game server, and attempt to run it.

I am just coming from exactly the same situation as you; I've just built a new computer and had to install a fresh copy of Windows 7 to it. I've got an Nvidia graphics adapter, and the bundled driver and utility installer for that adapter also installed a recent copy of PhysX. When the MOULa client fails to access an acceptable version of the PhysX files and runs the installer for 2.6.0, the installer quits because the more recent version is installed.

I had to manually uninstall just the 9.x PhysX package from the computer in order to let the MOULa client successfully install 2.6.0. I believe that you can re-install PhysX 9.x after that, and that enough pieces of 2.6.0 will be left around to run the game client. I have not had time to confirm that, but I know that on the prior computer I had up-to-date Nvidia PhysX coexisting with 2.6.0 for MOULa.

_R
One of the OpenUru toolsmiths... a bookbinder.

User avatar
Mac_Fife
Member
Posts: 1227
Joined: Fri Dec 19, 2008 12:38 am
Location: Scotland
Contact:

Re: PhysX 9.12.1031

Post by Mac_Fife » Sun Dec 30, 2012 8:04 pm

Actually, Mystler is correct. PhysX 9.12.0604 (which I have) includes the drivers for PhysX SDKs 2.3.1 - 2.8.3, but PhysX 9.12.0613 and PhysX 9.12.1013 only support SDKs 2.7.1 or later. For the latter of those two at least, the Legacy Installer must be used in addition to the main PhysX System Software installer, as described in the Release Highlights to support SDKs prior to 2.7.1.

EDIT: I was wrong about 9.12.0613 - From D'Lanor's experience it seems that it's only 9.12.1031 and later that is affected.
Mac_Fife
OpenUru.org wiki wrangler

User avatar
Carla M
Member
Posts: 3
Joined: Fri Mar 23, 2012 1:10 am

Re: PhysX 9.12.1031

Post by Carla M » Mon Dec 31, 2012 3:36 am

I've tried the legacy installer and it solved my problem. It hadn't even occurred to me that there might be such a thing, so thanks to Mystler for pointing it out. I had a feeling I was overlooking something.

User avatar
Mac_Fife
Member
Posts: 1227
Joined: Fri Dec 19, 2008 12:38 am
Location: Scotland
Contact:

Re: PhysX 9.12.1031

Post by Mac_Fife » Mon Dec 31, 2012 4:19 pm

It's not so much a case of "overlooking something", Carla M - it's really a bit unexpected as all previous versions of the PhysX System Software included drivers for the older SDKs: This is a new behaviour. I expect it's an attempt to reduce the size of the install for most people, by removing older and less frequently used drivers. It's good to find this out.
Mac_Fife
OpenUru.org wiki wrangler

charura
Member
Posts: 51
Joined: Fri Dec 23, 2011 10:18 pm

Re: PhysX 9.12.1031

Post by charura » Tue Jan 01, 2013 3:42 am

So..I should allow the downgrade to play URU but then upgrade afterwards?..I missed something obviously..sorry

User avatar
rarified
Member
Posts: 786
Joined: Tue Dec 16, 2008 10:48 pm
Location: Colorado, US

Re: PhysX 9.12.1031

Post by rarified » Tue Jan 01, 2013 4:04 am

charura wrote:So..I should allow the downgrade to play URU but then upgrade afterwards?..I missed something obviously..sorry
No, I'm afraid I muddied the waters because I didn't know about the legacy add-on.

If you have installed or are about to install PhysX 9.12.0613 (from NVidia) or later, go ahead and do the install of that version of PhysX, but then download and install the legacy addition. If you run a game client on a machine with PhysX 9.12.0613 or later installed, and you don't have the legacy driver installed, the game client will announce that PhysX is not installed and offer to install a copy for you. You should decline that install (in this case) and install the legacy driver.

If you had never installed PhysX on your machine (either directly or as part of NVidia graphics drivers), and you run an MOULa game client, it will try to install the PhysX 2.6.0 libraries the first time you run the game. That will suffice for the MOULa client, but if you wish to install a later version of PhysX (for another game or as part of an NVidia driver install or update) the same rules as the preceeding paragraph apply.

How do you tell which version of PhysX installed? Open the Control Panel on Windows, select "Programs and Features" (from Win 7, other versions may have slightly different wording). That panel will give you a list of all programs installed on the machine. PhysX will show up as either "Aegia PhysX" or "NVIDIA PhysX" along with it's version number.

I can confirm that if I remove PhysX 9.12.1031, let the game updater install PhysX 2.6.0, and then update PhysX again to 9.12.1031, I have to install the legacy driver to continue to use MOULa game clients. According to the NVidia page, you should only need to install the legacy driver once, it will not be disabled by subsequent PhysX updates.

_R
One of the OpenUru toolsmiths... a bookbinder.

User avatar
Hoikas
Member
Posts: 284
Joined: Fri Jun 03, 2011 8:38 pm

Re: PhysX 9.12.1031

Post by Hoikas » Tue Jan 01, 2013 4:06 am

This is all yet another compelling argument against nonfree software :ugeek:
Image

charura
Member
Posts: 51
Joined: Fri Dec 23, 2011 10:18 pm

Re: PhysX 9.12.1031

Post by charura » Tue Jan 01, 2013 5:57 am

Maybe this can be posted on the Moul Forum if and when it returns on Wednesday (01/02/2012)..I don't know how to accomplish that feat. TY rarified for your expertise and explanation..Happy New Year

Post Reply

Return to “OpenUru.org Minkata Test Shard”

Who is online

Users browsing this forum: No registered users and 1 guest